  // System variables.
  var isNav, isIE;
  var strRange, strStyle;

  isIE = false;
  isNav = false;
  strRange = '';
  strStyle = '';

  // Distinguish between IE and Navigator, and set up the system variables.
  if (parseInt(navigator.appVersion.charAt(0)) >= 4) {
    isNav = (navigator.appName == 'Netscape') ? true : false;
    isIE = (navigator.appName.indexOf('Microsoft') != -1) ? true : false;
    if (isIE) {
      strRange = 'all.';
      strStyle = 'style.';
    }
  }

  // Returns the object with the stated ID name.
  function getObj (strID) {
    if (document.getElementById) {
      return document.getElementById(strID);
    } else {
      return eval('document.all.' + strID);
    }
  }

  function getStyleObj (obj) {
    var tempObj;
    if (typeof(obj) == 'string') {
      tempObj = getObj(obj);
    } else {
      tempObj = obj;
    }
    if (document.getElementById) {
      return tempObj.style;
    } else {
      return tempObj;
    }
  }

  // Sets the background color of the stated object to the stated value.
  function setBGCOLOR (obj,val) {
    if (typeof(obj) == 'string') {
      if (isIE) getStyleObj(obj).background = val;
      if (isNav) getStyleObj(obj).backgroundColor = val;
    } else {
      if (isIE) getStyleObj(obj).background = val;
      if (isNav) getStyleObj(obj).backgroundColor = val;
    }
  }

  // Sets the visibility of the stated object to the stated value.
  function setVISIBILITY (obj,val) {
    if (typeof(obj) == 'string') {
      if (isIE) getStyleObj(obj).visibility = val;
      if (isNav) getStyleObj(obj).visibility = val;
    } else {
      if (isIE) getStyleObj(obj).visibility = val;
      if (isNav) getStyleObj(obj).visibility = val;
    }
  }

  // Returns the background color of the stated object.
  function getBGCOLOR (obj) {
    var val;
    
    if (isIE) val = getStyleObj(obj).background;
    if (isNav) val = getStyleObj(obj).backgroundColor;

    return val;
  }
